Bug 10064 - Linux kernel oplock breaks can miss signals.
Linux kernel oplock breaks can miss signals.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 20:00 UTC by Jeremy Allison
Modified: 2013-08-08 08:53 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.0.x, 4.1.x (2.94 KB, patch)
2013-08-01 20:05 UTC, Jeremy Allison
kseeger: review? (idra)
Details
git-am fix for 3.6.x. (2.89 KB, patch)
2013-08-01 20:14 UTC, Jeremy Allison
ambi: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2013-08-01 20:00:31 UTC
smbd needs to be root when creating a kernel lease on Linux, otherwise it cannot receive signals when the lease is broken.

Patch to follow.

Jeremy.
Comment 1 Jeremy Allison 2013-08-01 20:05:42 UTC
Created attachment 9098 [details]
git-am fix for 4.0.x, 4.1.x

This is the patch that went into master. Already +1 by Simo and Jeremy.
Comment 2 Jeremy Allison 2013-08-01 20:14:53 UTC
Created attachment 9099 [details]
git-am fix for 3.6.x.

Slightly modified gpfs fix for 3.6.x.
Jeremy.
Comment 3 Jeremy Allison 2013-08-01 21:24:24 UTC
Re-assigning to Karolin for inclusion in 3.6.next, 4.0.next, 4.1.0.

Jeremy.
Comment 4 Karolin Seeger 2013-08-07 09:22:48 UTC
Pushed to autobuild-v4-1-test, autobuild-v4-0-test and v3-6-test.
Comment 5 Karolin Seeger 2013-08-08 08:53:58 UTC
Pushed to v4-0-test and v4-1-test.
Closing out bug report.

Thanks!